Class | YARD::CLI::Server
In: | lib/yard/cli/server.rb
Parent: | Command

A local documentation server @since 0.6.0

### Methods

description new run

### Attributes

adapter | [RW] | @return [Adapter] the adapter to use for loading the web server
libraries | [RW] | @return [Hash] a list of library names and yardoc files to serve
options | [RW] | @return [Hash] a list of options to pass to the doc server
scripts | [RW] | @return [Array<String>] a list of scripts to load @since 0.6.2
server_options | [RW] | @return [Hash] a list of options to pass to the web server
template_paths | [RW] | @return [Array<String>] a list of template paths to register @since 0.6.2

### Public Class methods

new()

Creates a new instance of the Server command line utility

### Public Instance methods

description()
run(*args)

[Validate]